clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
SuspiciousEnumUsageCheck.cpp File Reference
`#include "SuspiciousEnumUsageCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include <algorithm>`
Include dependency graph for SuspiciousEnumUsageCheck.cpp:

Go to the source code of this file.

## Classes
struct | clang::tidy::misc::ValueRange
| Stores a min and a max value which describe an interval. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static int | clang::tidy::misc::enumLength (const EnumDecl *EnumDec)
| Return the number of EnumConstantDecls in an EnumDecl. More...
static bool | clang::tidy::misc::hasDisjointValueRange (const EnumDecl *Enum1, const EnumDecl *Enum2)
static bool | clang::tidy::misc::isNonPowerOf2NorNullLiteral (const EnumConstantDecl *EnumConst)
static bool | clang::tidy::misc::isMaxValAllBitSetLiteral (const EnumDecl *EnumDec)
static int | clang::tidy::misc::countNonPowOfTwoLiteralNum (const EnumDecl *EnumDec)
static bool | clang::tidy::misc::isPossiblyBitMask (const EnumDecl *EnumDec)
| Check if there is one or two enumerators that are not a power of 2 and are initialized by a literal in the enum type, and that the enumeration contains enough elements to reasonably act as a bitmask. More...

## Variables
static const char | clang::tidy::misc::DifferentEnumErrorMessage []
static const char | clang::tidy::misc::BitmaskErrorMessage []
static const char | clang::tidy::misc::BitmaskVarErrorMessage []
static const char | clang::tidy::misc::BitmaskNoteMessage [] = "used here as a bitmask"